# ------------------------------------------------------------------------------
# Amazon Backup variables
# ------------------------------------------------------------------------------

variable "vault_name" {
  description = "Name of the backup vault to create. If not given, AWS use default"
  type        = string
  default     = null
}

variable "plan_name" {
  description = "The display name of a backup plan"
  type        = string
}

variable "rule_name" {
  description = "An display name for a backup rule"
  type        = string
  default     = null
}

variable "rule_schedule" {
  description = "A CRON expression specifying when AWS Backup initiates a backup job"
  type        = string
  default     = null
}

variable "rule_start_window" {
  description = "The amount of time in minutes before beginning a backup"
  type        = number
  default     = null
}

variable "rule_completion_window" {
  description = "The amount of time AWS Backup attempts a backup before canceling the job and returning an error"
  type        = number
  default     = null
}

# variable "rule_recovery_point_tags" {
#   description = "Metadata that you can assign to help organize the resources that you create"
#   type        = map(string)
#   default     = {}
# }

variable "rule_lifecycle_cold_storage_after" {
  description = "Specifies the number of days after creation that a recovery point is moved to cold storage"
  type        = number
  default     = null
}

variable "rule_lifecycle_delete_after" {
  description = "Specifies the number of days after creation that a recovery point is deleted. Must be 90 days greater than `cold_storage_after`"
  type        = number
  default     = null
}

# variable "rule_copy_action_lifecycle" {
#   description = "The lifecycle defines when a protected resource is copied over to a backup vault and when it expires."
#   type        = map(any)
#   default     = {}
# }

# variable "rule_copy_action_destination_vault_arn" {
#   description = "An Amazon Resource Name (ARN) that uniquely identifies the destination backup vault for the copied backup."
#   type        = string
#   default     = null
# }

variable "rule_enable_continuous_backup" {
  description = "Enable continuous backups for supported resources."
  type        = bool
  default     = false
}

variable "rules" {
  description = "A list of rule maps"
  type        = any
  default     = []
}

variable "selections" {
  description = "A list of selction maps"
  type        = any
  default     = []
}

variable "tags" {
  description = "A mapping of tags to assign to the resource"
  type        = map(string)
  default     = {}
}