module "backup" {
  source = "../modules/backup"

  providers = {
    aws = aws.aws
  }

  vault_name = "dynamodb-backup-vault"
  plan_name  = "dynamodb-backup-plan"

  rules = [
    {
      name                     = "dynamodb-backup-rule"
      schedule                 = "cron(0 12 * * ? *)"
      target_vault_name        = "dynamodb-backup-vault"
      start_window             = 120
      completion_window        = 360
      enable_continuous_backup = true
      lifecycle = {
        cold_storage_after = 0
        delete_after       = 30
      },
    }
  ]

  selections = [
    {
      name      = "selection"
      resources = ["arn:aws:dynamodb:${data.aws_region.current.name}:${data.aws_caller_identity.current.account_id}:table/${module.dynamodb.name}"]
    }
  ]
}
